import type { ApiKeyDescription } from "./ApiKeyDescription";
import type { ApiKeyId } from "./ApiKeyId";
import type { ApiKeyType } from "./ApiKeyType";
import type { EpochMillis } from "./EpochMillis";
import type { FileName } from "./FileName";
import type { FileTagName } from "./FileTagName";
import type { FolderPath } from "./FolderPath";
import type { PathPermissionList } from "./PathPermissionList";
import type { SecretApiKey } from "./SecretApiKey";
import type { TagPermissions } from "./TagPermissions";
import type { UserSummary } from "./UserSummary";
export declare type ApiKeyDetails_SecretApiKey_ = {
    automaticTags: Array<FileTagName>;
    defaultFileName: FileName;
    defaultFolder: FolderPath;
    description: ApiKeyDescription;
    pathPermissions: PathPermissionList;
    requireJWT: boolean;
    tagPermissions: TagPermissions;
    apiKey: SecretApiKey;
    apiKeyId: ApiKeyId;
    apiKeyType: ApiKeyType;
    createdAt: EpochMillis;
    createdBy: UserSummary;
};
